*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #333;
}
label{
    position: relative;
    width: 150px;
    height: 75px;
    background: #212121;
    border-radius: 10px;
}
label input{
    appearance: none;
   z-index: 1;
   position: relative;
   top: 10px;
   left: 10px;
   width: 50px;
   height: 50px;
}
label span{
    position: absolute;
    top: 0;
    left: 0;
    width: 75px;
    height: 75px;
    background: #333;
    border: 6px solid #212121;
    border-radius: 14px;
    cursor: pointer;
    transition: 0.5s;
}
input[type="checkbox"]:checked ~ span{
    left: 75px;
}
label span i{
    color: rgba(255, 255,255,0.25);
    font-size: 2em;
    transition: 0.5s;
    position: relative;
    top: 15px;
    left: 18px;
}
label input:checked ~ span i{
    color: rgba(255, 255,255,1);
    filter: drop-shadow(0 0 5px #fff) drop-shadow(0 0 10px #fff) drop-shadow(0 0 15px #fff);
}
.bulb{
    position: absolute;
    top: 80px;
    left: 50%;
    transform: translateX(-50%);
    width: 348px;
    height: 408px;
    pointer-events: none;
    background: url(bulb_off.jpg);
    transition: 0.5s;
}
label input[type="checkbox"]:checked ~ .bulb{
    background: url(bulb_on.jpg);
}